#!/bin/bash

#########################################################
#                                                       #
#       Bash script to properly uninstall LABE          #
#                                                       #
#       Configuration files restored:                   #
#               -/etc/openldap/slapd.conf               #
#               -/etc/openldap/schema/core.schema       #
#               -/etc/openldap/schema/cosine.schema     #
#               -/etc/php.ini                           #
#                                                       #
#########################################################

LB="\033[1;34m"
WC="\033[1;37m"
RC="\033[1;31m"
NC="\033[0m"
ERROR=0

echo -e "${LB}###################################"
echo "#      LABE uninstall script      #"
echo "#                                 #"
echo "# This script will restore some   #"
echo "# configuration file on your      #"
echo "# system                          #"
echo "#                                 #"
echo "# Hope you've liked this software #"
echo "#                                 #"
echo -e "###################################${NC}"

echo -en "${LB}Are you sure you want to uninstall LABE of your system? <y/n>:${NC} "
read -n1 VAR
echo ""
 
if [ $VAR == "y" ]; then
	#########################################################
	# /etc/openldap/slapd.conf				#
	#########################################################
	echo -e "${WC}Checking for slapd.conf...${NC}"
	if [ -e /etc/openldap/slapd.conf ]; then
		echo "     slapd.conf found in /etc/openldap"

		grep "/etc/openldap/schema/extension.schema" /etc/openldap/slapd.conf > /dev/null

                if [ $? -eq 0 ]; then
                        echo "     Uninstalling extension.schema from /etc/openldap/slapd.conf"
			echo "$(sed -e 's/^include.*\/etc\/openldap\/schema\/extension.schema.*$//' /etc/openldap/slapd.conf)" > /etc/openldap/slapd.conf
			echo "     Uninstall compteted"
			echo ""
			echo -e "${LB}Your system is now supposed to be clean!${NC}"
                else
                        echo "     Nothing to do in /etc/openldap/slapd.conf"
                fi

	else
		echo -e "     ${RC}slapd.conf not found${NC}"
	fi	

else
	echo "Enjoy LABE!"
fi
