<?php
    /**
     * LABE - The LDAP Adress Book editor
     */
    

    /**
     * Description of the comparison class and his function used in labe_main's sort function.
     * @author Enrico & Mathieu Leduc-Hamel
     * @copyright Savoir-faire Linux inc.
     */
    class CmpObject {
	/**
	 * Array of value to compare
	 * @var array
	 */
	var $idx;
	
	/**
	 * Constructor of the class cmpObject
	 *
	 * @param string $nIdx DN of the entry to compare
	 *
	 * @return none
	 */
	function CmpObject($nIdx) {
	    $this->idx = $nIdx;
	}


	/**
	 * Comparison of the two entry
	 *
	 * @param array $lhs First entry information
	 * @param array $rhs Second entry information
	 *
	 * @return The value of the comparison
	 */
	function cmp($lhs, $rhs) {
	    return strnatcasecmp($this->removeaccents($lhs[$this->idx][0]), $this->removeaccents($rhs[$this->idx][0]));
	}

	/**
	 * Remove accent on characters
	 * 
	 * @param string $string The string to inspect
	 *
	 * @return The string without accent
	 */

	function removeaccents($string) {
                return strtr($string, "???????", "SOZsozYYuAAAAAAACEEEEIIIIDNOOOOOOUUUUYsaaaaaaaceeeeiiiionoooooouuuuyy");
        }
    }
?>
