<?php
    // +------------------------------------------------------------+
    // | Script of contact's exportation			    |
    // |							    |
    // | Author:	Mathieu Leduc-Hamel			    |
    // | File:		Contact.php				    |
    // | Date:		2003/01/07				    |
    // | License:	GPL					    |
    // | Description:	Find all record in the ldap directory a	    |
    // |		construct a ldif file with all the	    |
    // |		informations.				    |
    // +------------------------------------------------------------+


    // +------------------------------------------------------------+
    // | HTTP Header defined for the download of the ldif file	    |
    // +------------------------------------------------------------+
    header("Content-Type: application/octet-stream");
    header("Content-Disposition: attachment; filename=contact.ldif");

    // +------------------------------------------------------------+
    // | Including the configuration script			    |
    // +------------------------------------------------------------+
    include("Include.php");

    // +------------------------------------------------------------+
    // | Connexion with the server				    |
    // +------------------------------------------------------------+
    $connexion = $labe->Connect_LDAP($labe->host, $labe->port);
		
    // If a connexion we continue
    if($connexion) {
	    
	// Searching for contact
	$entry = $labe->SearchALL($connexion);
		
	// If something found, the result is parsed
	if($entry) {
	    for($i = 0; $i < count($entry) - 1; $i++) {
		echo "# ".$entry[$i]["sn"][0]." ".$entry[$i]["givenname"][0]."\n";
		echo "dn: ".$entry[$i]["dn"]."\n";
		echo "objectClass: dcObject\n";
		echo "objectClass: officePerson\n";
		echo "sn: ".$entry[$i]["sn"][0]."\n";
		echo "givenname: ".$entry[$i]["givenname"][0]."\n";
		echo "initials: ".$entry[$i]["initials"][0]."\n";
		echo "mail: ".$entry[$i]["mail"][0]."\n";
		echo "homephone: ".$entry[$i]["homephone"][0]."\n";
		echo "homepostaladdress: ".$entry[$i]["homepostaladdress"][0]."\n";
		echo "mobile: ".$entry[$i]["mobile"][0]."\n";
		echo "o: ".$entry[$i]["o"][0]."\n";
		echo "postaladdress: ".$entry[$i]["postaladdress"][0]."\n";
		echo "l: ".$entry[$i]["l"][0]."\n";
		echo "st: ".$entry[$i]["st"][0]."\n";
		echo "postalcode: ".$entry[$i]["postalcode"][0]."\n";
		echo "c: ".$entry[$i]["c"][0]."\n";
		echo "title: ".$entry[$i]["title"][0]."\n";
		echo "ou: ".$entry[$i]["ou"][0]."\n";
		echo "physicaldeliveryofficename: ".$entry[$i]["physicaldeliveryofficename"][0]."\n";
		echo "telephonenumber: ".$entry[$i]["telephonenumber"][0]."\n";
		echo "facsimiletelephonenumber: ".$entry[$i]["facsimiletelephonenumber"][0]."\n";
		echo "url: ".$entry[$i]["url"][0]."\n";
		echo "comment: ".$entry[$i]["comment"][0]."\n";
		echo "conferenceinformation: ".$entry[$i]["conferenceinformation"][0]."\n";
	    	echo "reports: ".$entry[$i]["reports"][0]."\n";
		echo "otherfacsimiletelephonenumber: ".$entry[$i]["otherfacsimiletelephonenumber"][0]."\n";
		echo "pager: ".$entry[$i]["pager"][0]."\n";
		echo "ipphone: ".$entry[$i]["ipphone"][0]."\n\n";
	    }

	}

    // +------------------------------------------------------------+
    // | Closing the LDAP connexion				    |
    // +------------------------------------------------------------+
	$labe->Close_LDAP($connexion);
    }
?>
