<?php

	// +------------------------------------------------------------+
	// | Main Labe control file					|
	// |								|
	// | Author:		Mathieu Leduc-Hamel			|
	// | File:		index.php				|
	// | Date:		2002/09/09				|
	// | Licence:		GPL					|
	// | Description:	php script controling and loading	|
	// |			correct script in relation to the user	|
	// |			request.				|
	// +------------------------------------------------------------+
	header("Cache-Control: no-store, no-cache, must-revalidate");
	header("Cache-Control: post-check=0, pre-check=0",false);
	header("Pragma: no-cache");

	// +------------------------------------------------------------+
	// | Including the script of include and variable definition	|
	// +------------------------------------------------------------+
	include("inc/Include.php");

	// +------------------------------------------------------------+
	// | Check for the correct path and define constants		|
	// +------------------------------------------------------------+
	if($LABE_Pass)
	    setcookie("LABE_Pass", $LABE_Pass, time() + 600);

	// +------------------------------------------------------------+
	// | Connecting with the ldap server				|
	// +------------------------------------------------------------+
	$connexion = $labe->Connect_LDAP($labe->host, $labe->port);	


	// +------------------------------------------------------------+
	// | Check for the value of $function (the user's request)	|
	// +------------------------------------------------------------+
	if($HTTP_POST_VARS["function"])
		$choice = $HTTP_POST_VARS["function"];
	else
		$choice = $HTTP_GET_VARS["function"];
	
	if(!$connexion && $choice != "Save" && $LABE_Pass) {
		$choice = "Options";
		$ERROR_CONNECT = 1;
	}

	// Including the translation file
	$lang = $HTTP_COOKIE_VARS["LABE_Lang"];
	if ( empty ($lang) )
	    $lang = "ru";
					 
	$smarty->assign("LANG",$lang);
	include("lang/" . $lang . ".inc");

	// Main switch of the choice
	switch($choice) {

		case "Add":
			include("inc/Add.php");
			break;

		case "Cancel":
			include("inc/Cancel.php");
			break;

		case "Delete":
			$labe->RemoveContact($connexion,$ids);
			include("inc/List.php");
			break;

		case "Detail":
			include("inc/Detail.php");
			break;

		case "Import":
			include("inc/Import.php");
			break;

		case "List":
			include("inc/List.php");
			break;

		case "Logout":
			include("inc/Logout.php");
			break;

		case "Modify":
			include("inc/Modify.php");
			include("inc/List.php");
			break;

		case "New":
			include("inc/Detail.php");
			break;

		case "Options":
			include("inc/Options.php");
			break;

		case "Print":
			include("inc/Print.php");
			break;

		case "Save":
			include("inc/Save.php");
			break;

		case "Search":
			if ($search=="")
			$filter = "(& (".$searchcrit."=".$search."*) (& (objectclass=officePerson)))";
			else
				$filter = "(& (".$searchcrit."=*".$search."*) (& (objectclass=officePerson)))";
				
			include("inc/List.php");
			break;

		case "Sort":
			include("inc/Sort.php");
			include("inc/List.php");
			break;

		default:
			include("inc/Options.php");
			break;
	}
	

	// +------------------------------------------------------------+
	// | Closing the connexion with the server			|
	// +------------------------------------------------------------+
	$labe->Close_LDAP($connexion);
?>
